AMH4.2版本 修复PHP远程DoS攻击漏洞的方法

  • AMH4.2版本 修复PHP远程DoS攻击漏洞的方法已关闭评论
  • 1,482 views
  • A+
所属分类:杂谈

目前AMH已经发布了对旗下所有产品的关于修复PHP远程DoS攻击漏洞的方法,对于使用AMH5.X付费版的用户可以不用看了,因为在AMH后台可以直接更新升级!对于AMH4.2版本目前使用的用户还是非常的多,修复PHP远程DoS攻击漏洞的方法如下:

1、直接重新安装AMH4.2版本

1) 使用 root 账号登录 Linux 服务器。

2) 执行 amh 安装脚本。
wget http://amh.sh/file/AMH/4.2/amh.sh && chmod 775 amh.sh && ./amh.sh 2>&1 | tee amh.log

2、通过SSH命令进行升级

sed -i 's/amysql.com/amh.sh/' /root/amh/upgrade
amh upgrade AMH4220150522A1 install
更新完成后,AMH4.2默认的php-5.3.27将升级到php-5.3.27p1版本(旧的PHP软件将备份至/usr/local/php-p1)。

升级之前最好备份一下数据哦,另外如果自己修改过AMH可能升级会出现问题,建议重装安装最新版吧!